=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2017-02-27 14:29:11 +0000
+++ CMakeLists.txt	2017-08-04 13:56:13 +0000
@@ -52,8 +52,7 @@
                    properties-cpp>=0.0.1
                    libaccounts-glib>=1.18
                    messaging-menu>=12.10
-                   uuid>=2.25
-                   ubuntu-app-launch-3)
+                   uuid>=2.25)
 include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})
 
 ##

=== modified file 'debian/control'
--- debian/control	2017-06-05 23:25:57 +0000
+++ debian/control	2017-08-04 13:56:13 +0000
@@ -38,7 +38,6 @@
 # messaging menu integration
                libmessaging-menu-dev,
                uuid-dev,
-               libubuntu-app-launch3-dev (>= 0.9),
 # to locate the place to put systemd files
                systemd,
 Standards-Version: 3.9.3

=== modified file 'src/notifications.cpp'
--- src/notifications.cpp	2017-02-27 14:29:11 +0000
+++ src/notifications.cpp	2017-08-04 13:56:13 +0000
@@ -24,9 +24,6 @@
 #include <messaging-menu/messaging-menu-app.h>
 #include <messaging-menu/messaging-menu-message.h>
 
-#include <libubuntu-app-launch-3/ubuntu-app-launch/appid.h>
-#include <libubuntu-app-launch-3/ubuntu-app-launch/registry.h>
-
 #include <uuid/uuid.h>
 
 #include <gio/gdesktopappinfo.h>
@@ -37,7 +34,6 @@
 #include <vector>
 #include <memory>
 
-
 namespace unity {
 namespace indicator {
 namespace notifications {
@@ -461,13 +457,7 @@
 
     static std::string calendar_app_id()
     {
-        auto registry = std::make_shared<ubuntu::app_launch::Registry>();
-        auto app_id = ubuntu::app_launch::AppID::discover(registry, "ubuntu-calendar-app");
-        if (!app_id.empty())
-            // Due the use of old API by messaging_menu we need append a extra ".desktop" to the app_id.
-            return std::string(app_id) + ".desktop";
-        else
-            return std::string();
+        return "org.gnome.Calendar.desktop";    
     }
 
     static std::string calendar_app_icon()

